Skip to navigation

Get user authorization for authorization id

View as Markdown

Returns the details for the user authorization specified by the authorizationId.

To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

authorizationIdstringRequired
The ID of the user authorization.
userIdstringRequired
The ID of the principal user.

Response

Successful response.
agentUserobjectOptional
authorizationIdstringOptional
The ID of the user authorization.
createdstringOptional
The UTC DateTime when the workspace user authorization was created.
createdBystringOptional

The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]

endDatestringOptional
The UTC DateTime at which the authorization will expire.
modifiedstringOptional
The UTC DateTime when the workspace user authorization was last updated.
modifiedBystringOptional

The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]

permissionstringOptional

The permission level to grant the agent. Valid values:

  • Send
  • Manage
  • Sign
  • Edit

This property is required.

principalUserobjectOptional
startDatestringOptional
The UTC DateTime at which the authorization will start.
taskSourcestringOptional
taskTypestringOptional

Errors

400
Bad Request Error